#define Perl-version.
%define perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define pre      rc3
%define	name	irssi-gc
%define	version	0.8.9
%define release	2mdk
%define	__libtoolize	/bin/true

Name:		%{name}
Version:	%{version}
Release: 	%{release}
Epoch:		0
Summary:	Irssi is an IRC client
License:	GPL
Group:		Networking/IRC
BuildRequires:	glib2-devel ncurses-devel perl-devel libgc-devel
URL:		http://irssi.org/
Source0:	http://irssi.org/irssi/files/irssi-%version.tar.bz2
Source1:	irssi-icons.tar.bz2

Requires:	perl-base = %perl_version
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	irssi

%description
Irssi is a modular IRC client for UNIX that currently has only text mode
user interface, but 80-90% of the code isn't text mode specific, so
other UIs could be created pretty easily. Also, Irssi isn't really even
IRC specific anymore, there's already working SILC and ICB modules
available. Support for other protocols like ICQ and Jabber could be
created some day too.

irssi is the most popular IRC client at the moment.

%package devel
Group: Development/C
Summary: Static libraries for the development of irssi applications.
Requires: %{name} = %{epoch}:%{version}

%description devel
Static libraries for the development of irssi applications.


%prep
%setup -q -a1 -n irssi-%version

%build
%configure	--with-plugins \
		--enable-ipv6 \
		--with-proxy \
		--with-socks \
		--with-bot \
		--with-perl-lib=%{perl_vendorlib} \
		--with-gc

%make


%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

# LMDK Menu entries
%{__install} -d $RPM_BUILD_ROOT%{_menudir}

%{__cat} << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="text" \
section="Internet/Chat" \
title="Irssi" \
icon="%{name}.png" \
longtitle="Console Irc Client" \
section="Networking/IRC" \
command="irssi"
EOF

# mdk icons
%{__install} -D -m 644 irssi48.png %buildroot%{_liconsdir}/%{name}.png
%{__install} -D -m 644 irssi32.png %buildroot%{_iconsdir}/%{name}.png
%{__install} -D -m 644 irssi16.png %buildroot%{_miconsdir}/%{name}.png


# Files that should not be installed:
%{__rm} -f $RPM_BUILD_ROOT/%{perl_vendorarch}/perllocal.pod
%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/irssi

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog README TODO NEWS docs/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/irssi
%dir %{_libdir}/irssi
%dir %{_libdir}/irssi/modules
%{_libdir}/irssi/modules/*.so
%{_libdir}/irssi/modules/*.la
%{_libdir}/irssi/modules/*so.*
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*
%config(noreplace) %{_sysconfdir}/irssi.conf
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man1/irssi.1*

%files devel
%defattr(-,root,root)
%{_libdir}/irssi/modules/*.a

%changelog
* Fri Apr 30 2004 David Walluck <walluck@mandrake.org> 0:0.8.9-2mdk
- release
